// SPDX-License-Identifier: GPL-3.0
//
// Copyright (C) 2019, Donald Dugger
//
import * as fs from "fs";
import { logger } from "../common/utils.js";

let def_prefs = {
  tz1: 0,
  city1: 0,
  tz2: -1,
  city2: 0,
  rotation: 1,
  custom_tz1: 0,
  custom_tz2: 0
};
let prefs;

export function ls_dir()
{
  
  let dirIter;
  logger("/private/data:");
  const listDir = fs.listDirSync("/private/data");
  while((dirIter = listDir.next()) && !dirIter.done) {
    logger("  " + dirIter.value);
  }
}

export function init()
{

  //fs.unlinkSync("prefs.txt");
  try {
    prefs = fs.readFileSync("prefs.txt", "json");
  } catch(e) {
    logger("fs read error - " + e);
  }
  if (prefs == undefined ||
      prefs.tz1 == undefined ||
      prefs.city1 == undefined ||
      prefs.custom_tz1 == undefined ||
      prefs.rotation == undefined)
        prefs = def_prefs;
}

export function get()
{

  return prefs;
}

export function save(tz1, tz2, c1, c2, custom1, custom2, rotate)
{

  prefs.tz1 = tz1;
  prefs.tz2 = tz2;
  prefs.city1 = c1;
  prefs.city2 = c2;
  prefs.custom_tz1 = custom1;
  prefs.custom_tz2 = custom2;
  prefs.rotation = rotate;
  try {
    fs.writeFileSync("prefs.txt", prefs, "json");
  } catch(e) {
    logger("fs write error - " + e);
  }
}
